# App foreground

A decision block that checks which app activity that is currently displayed in the foreground.

If the proceed option is set to Immediately, then check if the app activity is currently in the foreground, or not, without pausing the fiber. If set to When changed, then the fiber will pause until the app becomes the foreground app activity, or has gone to the background.

If both package and activity class is blank, or evaluates to `null`, then the current foreground app activity is returned in the result variables.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Package — package name of the app activity.
- Activity class — class name of the app activity.

## Output variables

- Foreground package — variable to assign the package name of the foreground app.
- Foreground activity class — variable to assign the class name of the foreground app activity.